Bug 1677067 - Review Request: python-vcstool - Tool to invoke vcs commands on multiple repositories
Summary: Review Request: python-vcstool - Tool to invoke vcs commands on multiple repo...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-13 22:23 UTC by Scott K Logan
Modified: 2019-04-19 16:58 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-03-01 02:38:27 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Scott K Logan 2019-02-13 22:23:13 UTC
Spec URL: https://cottsay.fedorapeople.org/python-vcstool/python-vcstool.spec
SRPM URL: https://cottsay.fedorapeople.org/python-vcstool/python-vcstool-0.1.38-1.fc30.src.rpm

Description:
Vcstool is a version control system (VCS) tool, designed to make working with
multiple repositories easier.

Fedora Account System Username: cottsay

Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=32795048

Target branches: master, f29, f28, epel7

Notes:
- The only rpmlint warnings I see are related to man pages and spelling. I
  intend to suppress them with an rpmlintrc file when checking in.
- I prefer a single unified spec file for maintainability, but not everyone
  shares this view. If you insist, I will resolve the conditionals per-branch
  when checking in.
- The EPEL 7 package tries to build with python3_other, but this is currently
  blocked on: https://src.fedoraproject.org/rpms/python3-PyYAML/pull-request/1

Thanks!

Comment 1 Robert-André Mauchin 2019-02-17 17:35:37 UTC
 - Bump to 0.1.39

Package approved.



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* Apache License (v2.0)", "*No copyright* Apache
     License", "Unknown or generated". 68 files have unknown license.
     Detailed output of licensecheck in /home/bob/packaging/review/python-
     vcstool/review-python-vcstool/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define pytest_options
     \\--ignore=test/test_flake8.py \\--ignore test/test_commands.py \\test
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-vcstool-0.1.38-1.fc30.noarch.rpm
          python-vcstool-0.1.38-1.fc30.src.rpm
python3-vcstool.noarch: W: spelling-error %description -l en_US vcstools -> stools
python3-vcstool.noarch: W: no-manual-page-for-binary vcs
python3-vcstool.noarch: W: no-manual-page-for-binary vcs-3
python3-vcstool.noarch: W: no-manual-page-for-binary vcs-3.7
python3-vcstool.noarch: W: no-manual-page-for-binary vcs-branch
python3-vcstool.noarch: W: no-manual-page-for-binary vcs-branch-3
python3-vcstool.noarch: W: no-manual-page-for-binary vcs-branch-3.7
python3-vcstool.noarch: W: no-manual-page-for-binary vcs-bzr
python3-vcstool.noarch: W: no-manual-page-for-binary vcs-bzr-3
python3-vcstool.noarch: W: no-manual-page-for-binary vcs-bzr-3.7
python3-vcstool.noarch: W: no-manual-page-for-binary vcs-custom
python3-vcstool.noarch: W: no-manual-page-for-binary vcs-custom-3
python3-vcstool.noarch: W: no-manual-page-for-binary vcs-custom-3.7
python3-vcstool.noarch: W: no-manual-page-for-binary vcs-diff
python3-vcstool.noarch: W: no-manual-page-for-binary vcs-diff-3
python3-vcstool.noarch: W: no-manual-page-for-binary vcs-diff-3.7
python3-vcstool.noarch: W: no-manual-page-for-binary vcs-export
python3-vcstool.noarch: W: no-manual-page-for-binary vcs-export-3
python3-vcstool.noarch: W: no-manual-page-for-binary vcs-export-3.7
python3-vcstool.noarch: W: no-manual-page-for-binary vcs-git
python3-vcstool.noarch: W: no-manual-page-for-binary vcs-git-3
python3-vcstool.noarch: W: no-manual-page-for-binary vcs-git-3.7
python3-vcstool.noarch: W: no-manual-page-for-binary vcs-help
python3-vcstool.noarch: W: no-manual-page-for-binary vcs-help-3
python3-vcstool.noarch: W: no-manual-page-for-binary vcs-help-3.7
python3-vcstool.noarch: W: no-manual-page-for-binary vcs-hg
python3-vcstool.noarch: W: no-manual-page-for-binary vcs-hg-3
python3-vcstool.noarch: W: no-manual-page-for-binary vcs-hg-3.7
python3-vcstool.noarch: W: no-manual-page-for-binary vcs-import
python3-vcstool.noarch: W: no-manual-page-for-binary vcs-import-3
python3-vcstool.noarch: W: no-manual-page-for-binary vcs-import-3.7
python3-vcstool.noarch: W: no-manual-page-for-binary vcs-log
python3-vcstool.noarch: W: no-manual-page-for-binary vcs-log-3
python3-vcstool.noarch: W: no-manual-page-for-binary vcs-log-3.7
python3-vcstool.noarch: W: no-manual-page-for-binary vcs-pull
python3-vcstool.noarch: W: no-manual-page-for-binary vcs-pull-3
python3-vcstool.noarch: W: no-manual-page-for-binary vcs-pull-3.7
python3-vcstool.noarch: W: no-manual-page-for-binary vcs-push
python3-vcstool.noarch: W: no-manual-page-for-binary vcs-push-3
python3-vcstool.noarch: W: no-manual-page-for-binary vcs-push-3.7
python3-vcstool.noarch: W: no-manual-page-for-binary vcs-remotes
python3-vcstool.noarch: W: no-manual-page-for-binary vcs-remotes-3
python3-vcstool.noarch: W: no-manual-page-for-binary vcs-remotes-3.7
python3-vcstool.noarch: W: no-manual-page-for-binary vcs-status
python3-vcstool.noarch: W: no-manual-page-for-binary vcs-status-3
python3-vcstool.noarch: W: no-manual-page-for-binary vcs-status-3.7
python3-vcstool.noarch: W: no-manual-page-for-binary vcs-svn
python3-vcstool.noarch: W: no-manual-page-for-binary vcs-svn-3
python3-vcstool.noarch: W: no-manual-page-for-binary vcs-svn-3.7
python-vcstool.src: W: spelling-error Summary(en_US) vcs -> vs, cs, vacs
python-vcstool.src: W: spelling-error %description -l en_US vcstools -> stools
2 packages and 0 specfiles checked; 0 errors, 51 warnings.

Comment 3 Gwyn Ciesla 2019-02-19 19:25:13 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-vcstool

Comment 4 Fedora Update System 2019-02-20 22:31:20 UTC
python-vcstool-0.1.39-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-7400b85c74

Comment 5 Fedora Update System 2019-02-20 22:31:31 UTC
python-vcstool-0.1.39-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-528c3d78ba

Comment 6 Fedora Update System 2019-02-21 01:28:16 UTC
python-vcstool-0.1.39-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-528c3d78ba

Comment 7 Fedora Update System 2019-02-21 03:47:33 UTC
python-vcstool-0.1.39-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-7400b85c74

Comment 8 Fedora Update System 2019-03-01 02:38:27 UTC
python-vcstool-0.1.39-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2019-03-01 23:10:41 UTC
python-vcstool-0.1.39-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2019-04-03 20:15:16 UTC
python-vcstool-0.1.40-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-a76a57c31b

Comment 11 Fedora Update System 2019-04-04 04:49:19 UTC
python-vcstool-0.1.40-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-a76a57c31b

Comment 12 Fedora Update System 2019-04-19 16:58:08 UTC
python-vcstool-0.1.40-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.